Roku Developer Program

Developers and content creators—a complete solution for growing an audience directly.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Highlighted
Level 7

Re: Eclipse plugin for Brightscript

When I try to install the Eclipse plug-in I get the following error:

Cannot complete the install because one or more required items could not be found.
Software being installed: Basic BrightScript Support 1.0.1.201009051518 (com.domhain.brightscript.plugin.basic.feature.group 1.0.1.201009051518)
0 Kudos
Highlighted
Level 7

Re: Eclipse plugin for Brightscript

"ashull" wrote:
When I try to install the Eclipse plug-in I get the following error:

Cannot complete the install because one or more required items could not be found.
Software being installed: Basic BrightScript Support 1.0.1.201009051518 (com.domhain.brightscript.plugin.basic.feature.group 1.0.1.201009051518)


Can you provide a bit more detail? Such as:

1) The full error message(s)
2) The method of install (manual unzip/drop-in or via Eclipse's install manager)
3) Which specific base package and version of Eclipse you are using

Cheers
0 Kudos
Highlighted
Level 7

Re: Eclipse plugin for Brightscript

This is my full error message when trying to install the advanced version. I uninstalled the basic one first.

1.
Cannot complete the install because one or more required items could not be found.
Software being installed: Advanced BrightScript Support 1.0.0.201009162022 (com.domhain.brightscript.plugin.feature.group 1.0.0.201009162022)
Missing requirement: BrightScript Plugin 1.0.0.201009162022 (com.domhain.brightscript.plugin 1.0.0.201009162022) requires 'bundle org.eclipse.debug.core 3.6.0' but it could not be found
Cannot satisfy dependency:
From: Advanced BrightScript Support 1.0.0.201009162022 (com.domhain.brightscript.plugin.feature.group 1.0.0.201009162022)
To: com.domhain.brightscript.plugin [1.0.0.201009162022]


2. Used Eclipse's installer under Help | Install New Software...

3. My eclipse build ID is: 20100218-1602, Eclipse EE, 3.5.2

If I want to go back to the basic one for now, what's the URL?
0 Kudos
Highlighted
Level 7

Re: Eclipse plugin for Brightscript

moved to Eclipse 3.6 Helios... seems all is well
0 Kudos
Highlighted
Level 7

Re: Eclipse plugin for Brightscript

"auzy" wrote:
moved to Eclipse 3.6 Helios... seems all is well


Makes sense - the error message indicates that I inadvertently specified the eclipse 3.6 version of a supporting plugin as the minimum version for the BrightScript advanced plugin.
I'll correct that (by lowering the minimum dependent version to 3.5) with an updated plugin within the next day or so.
Until then, Eclipse 3.5 versions will get the error message you got on attempted install.
0 Kudos
Highlighted
Level 7

Re: Eclipse plugin for Brightscript

what are you considering for a license price when the time comes... before I get too cozy with it?
0 Kudos
Highlighted
Level 7

Re: Eclipse plugin for Brightscript

"auzy" wrote:
what are you considering for a license price when the time comes... before I get too cozy with it?


Not sure just yet - still researching comparables, gauging the likely ongoing development and support effort, etc.
It's a SWAG at the moment, but I'm thinking of somewhere in the $25-$99 range (includes support and upgrades).
0 Kudos
Highlighted
Level 7

Re: Eclipse plugin for Brightscript

Thanx a lot !
Great job
I started learn BS few days ago )
In notepad it was very hard, and here you are for Eclipse - awesome!

This plug-in will really help me
0 Kudos
Highlighted
Level 8

Re: Eclipse plugin for Brightscript

Any chance for a How To guide on using Eclipse with Brightscript? Once I got Eclipse working, I tried loading my project into it, but whenever I clicked on a project file from within Eclipse, it just launched my current editor (JEdit). The plugin installed fine, but I don't see anything related to BrightScript in any of the menus.

- Joel
Screenshades: The first Screensaver for Roku2!
Musiclouds: The best free internet music, on your Roku!
Ouroborialis: Psychedelic Screensaver for Roku!
0 Kudos
Highlighted
Level 7

Re: Eclipse plugin for Brightscript

Window | Preferences | General | Editors | File Associations.
Add an entry for *.brs if not already in there, and associate it with the Brightscript Editor.

You can also choose to open the file by right-click, Open With, Brightscript Editor (possibly under 'Other').

Cheers
0 Kudos